package com.caimei365.order.model.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/8/12
 */
@Data
public class SettlementVo {
    private static final long serialVersionUID = 1L;

    @ExcelIgnore
    private Integer shopOrderId;
    /**
     * 子订单编号
     */
    @ExcelProperty(value = "子订单编号", index = 0)
    private String shopOrderNo;
    /**
     * 订单提交时间
     */
    @ExcelProperty(value = "订单提交时间", index = 1)
    private String orderTime;

    @ExcelProperty(value = "机构名称", index = 2)
    private String clubName;
    /**
     * 协销名称
     */
    @ExcelIgnore
    private String spName;

    @ExcelProperty(value = "服务商名称", index = 3)
    private String cpName;
    /**
     * 供应商结算成本
     */
    @ExcelProperty(value = "供应商结算金额", index = 4)
    private Double shopSettleAmount;
    /**
     * 采美结算佣金
     */
    @ExcelProperty(value = "采美结算金额", index = 5)
    private Double cmSettleAmount;
    /**
     * 服务商结算佣金
     */
    @ExcelProperty(value = "服务商结算金额", index = 6)
    private Double otherSettleAmount;
    /**
     * 商品信息
     */
    @ExcelProperty(value = "商品信息", index = 7)
    private String productInfo;

    /**
     * 子订单可能包含多个商品，当前展示为总数量
     * （锦波业务一般下单商品）
     */
    @ExcelProperty(value = "商品总数量", index = 8)
    private Integer productNum;
    /**
     * 订单金额
     */
    @ExcelProperty(value = "订单金额", index = 9)
    private Double totalAmount;
    /**
     * 支付手续费
     */
    @ExcelProperty(value = "支付手续费", index = 10)
    private Double paymentCommission;
    /**
     * 分帐手续费
     */
    @ExcelProperty(value = "分帐手续费", index = 11)
    private Double prorateCommission;
    /**
     * (付款供应商)付款状态：1待付款、2部分付款、3已付款
     */
    @ExcelIgnore
    private Integer settleStatus;

    @ExcelProperty(value = "结算状态", index = 12)
    private String settleStatusStr;
    /**
     * 退款状态 1无退款、3有退款
     */
    @ExcelIgnore
    private Integer refundStatus;

    @ExcelProperty(value = "退款状态", index = 13)
    private String refundStatusStr;
    /**
     * 退款金额
     */
    @ExcelProperty(value = "退款金额", index = 14)
    private Double refundAmount;
    /**
     * 订单商品信息
     */
    @ExcelIgnore
    private List<OrderProductVo> orderProductList;
}
